<?php
/*
 #########################################################################
 #                       xt:Commerce Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2018 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

class xt_klarna_kco_payoutsFilter extends formFilter{

    public static function  formFields(){
        $eF = new ExtFunctions();

        $combo = $eF->_comboBox('filter_currency', ucfirst(TEXT_CURRENCY),self::$dropdownUrl.'?get=currencies',"156");
        $f[] = self::setWidth($combo,"133px");
        if ($_SESSION['filters_klarna_kco_payouts']['filter_currency'] != ""){
            $combo->setValue($_SESSION['filters_klarna_kco_payouts']['filter_currency']);
        }

        $now = new DateTime();
        $before = $now->sub(new DateInterval('P30D'));

        $f1 = PhpExt_Form_DateField::createDateField("filter_date_from", ucfirst(TEXT_DATE). ' '. TEXT_FROM)
            ->setEmptyText(TEXT_FROM)
            ->setFormat('Y/m/d');
        $f[] =  self::setWidth($f1,"52px");
        if ($_SESSION['filters_klarna_kco_payouts']['filter_date_from'] != ""){
            $f1->setValue($_SESSION['filters_klarna_kco_payouts']['filter_date_from']);
        }
        else {
            $f1->setValue($before->format('Y/m/d'));
        }


        $f2= PhpExt_Form_DateField::createDateField("filter_date_to", ucfirst(TEXT_DATE). ' '. TEXT_TO)
            ->setEmptyText(TEXT_TO)
            ->setFormat('Y/m/d');;
        $f[] =  self::setWidth($f2,"52px");
        if ($_SESSION['filters_klarna_kco_payouts']['filter_date_to'] != ""){
            $f2->setValue($_SESSION['filters_klarna_kco_payouts']['filter_date_to']);
        }
        else {
            $now = new DateTime();
            $f2->setValue($now->format('Y/m/d'));
        }

        //$f[] = self::twoCol($f1, $f2);

        return $f;
    }
}
